Class | WSDL::XMLSchema::Import
In: | wsdl/xmlSchema/import.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

content | [R] |
namespace | [R] |
schemalocation | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/import.rb, line 22
      def initialize
        super
        @namespace = nil
        @schemalocation = nil
        @content = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/import.rb, line 33
      def parse_attr(attr, value)
        case attr
        when NamespaceAttrName
          @namespace = value.source
        when SchemaLocationAttrName
          @schemalocation = URI.parse(value.source)
          if @schemalocation.relative? and !parent.location.nil? and
              !parent.location.relative?
            @schemalocation = parent.location + @schemalocation
          end
          if root.importedschema.key?(@schemalocation)
            @content = root.importedschema[@schemalocation]
          else
            root.importedschema[@schemalocation] = nil      # placeholder
            @content = import(@schemalocation)
            root.importedschema[@schemalocation] = @content
          end
          @schemalocation
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/import.rb, line 29
      def parse_element(element)
        nil
      end

[Validate]